Package: org.grails.plugins.databinding

## [Java] Class DataBindingGrailsPlugin

- org.grails.plugins.databinding.DataBindingGrailsPlugin

-     @java.lang.Deprecated
      public class DataBindingGrailsPlugin
      extends AbstractDataBindingGrailsPlugin

  deprecated:
    Use DataBindingConfiguration instead

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractDataBindingGrailsPlugin` | `DEFAULT_DATE_FORMATS, DEFAULT_JSR310_LOCAL_DATE_FORMAT, DEFAULT_JSR310_LOCAL_DATE_TIME_FORMAT, DEFAULT_JSR310_LOCAL_TIME_FORMAT, DEFAULT_JSR310_OFFSET_TIME_FORMAT, DEFAULT_JSR310_OFFSET_ZONED_DATE_TIME_FORMAT, version`
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public groovy.lang.Closure` | `doWithSpring()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDataBindingGrailsPlugin` | `doWithSpring`
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Method Detail

    - #### @java.lang.Override public groovy.lang.Closure doWithSpring()